Eclipse Indigo – Не удается установить плагин Android ADT

Когда я пытаюсь установить Android Developer Tool, я получаю следующую ошибку.

Установленное программное обеспечение: средства разработки для Android 11.0.0.v201105251008-128486 (com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486) Отсутствующие требования: средства разработки для Android 11.0.0.v201105251008-128486 ( Com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486) требует «org.eclipse.wst.sse.core 0.0.0», но его не удалось найти

Я также обнаружил, что добавление пакета WST не помогает. Я получаю следующее:

Не удается завершить установку, потому что не удалось найти один или несколько требуемых элементов. Установленное программное обеспечение: Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634 (com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.3.0.r37v201106211634) Отсутствующие требования: плагин Google для Eclipse 3.7 2.3. 2.r37v201106211634 (com.google.gdt.eclipse.suite.e37.feature.feature.group 2.3.2.r37v201106211634) требует «org.eclipse.wst.xml.core 0.0.0», но он не может быть найден. Не удается выполнить Зависимость: От: Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634 (com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.3.0.r37v201106211634) Кому: com.google.gdt.eclipse. Suite.e37.feature.feature.group 2.3.2

Я запускаю 64-разрядную версию Eclipse Indigo. Может ли кто-нибудь указать мне в правильном направлении? Или скажите мне, где найти этот недостающий пакет.

Solutions Collecting From Web of "Eclipse Indigo – Не удается установить плагин Android ADT"

Перейдите в Help -> Install New Software . Нажмите «Доступные сайты программного обеспечения». Удалите репозиторий Android. Снимите флажок Indigo & Eclipse и перепроверьте их. Теперь вернитесь в Help -> Проверить наличие обновлений. После этого добавьте репо повторно. Примите лицензию, и вам должно быть хорошо идти.

(Если бы сделать то же самое вчера после получения Индиго)

У меня такая же проблема. Это помогло мне:

  1. Перейти в Help-> Install Software
  2. Нажмите «Доступные сайты программного обеспечения»
  3. Нажмите «Добавить»: Имя: «Гелиос» Место: «http://download.eclipse.org/releases/helios»
  4. Попробуйте установить средства разработки для Android

Я обошел проблему org.eclipse.wst.xml.core 0.0.0 , выполнив следующие шаги:

  • Перейти к помощи
  • Установить новое программное обеспечение: Добавить имя: Indigo Местоположение: " http://download.eclipse.org/releases/indigo "
  • Выберите « Адаптеры сервера WST » в разделе « Web, XML, Java,... » (фамилия в списке)
  • Принять лицензионное соглашение
  • Перезапустить Eclipse
  • Возобновить процедуру установки ADT

Это сработало для меня, надеюсь, это и для вас.

Я была такая же проблема. Другие решения здесь не сработали для меня, потому что я даже не мог увидеть репозитории обновлений Indigo / Helios. Проблема заключалась в том, что Eclipse был в Program Files, но я не выполнял его как администратор.

Итак, я получил индиго, а затем: идите в Help-> Install New Software. Нажмите «Добавить»: «Имя»: «Indigo». Место: «http://download.eclipse.org/releases/indigo». Попробуйте установить средства разработки Android (в качестве Вы увидите, появится только 1 вариант из 4 – это нормально для индиго)

Убедитесь, что у вас есть опция «Связаться со всеми сайтами обновления во время установки, чтобы найти необходимое программное обеспечение». Эта опция расположена в левом нижнем углу на первом экране после выбора «Справка / Добавить новое программное обеспечение». По умолчанию этот флажок не установлен. Это ПОЛНОСТЬЮ УБЫВАЕТ проблему, если она не была проверена.

Плагин будет установлен в 3.7 32bit и 64bit.

Плагин Google для Eclipse зависит от других компонентов Eclipse, таких как WST. Ваша установка Eclipse может не включать все из них, но их можно легко установить, следуя этим инструкциям. Eclipse 3.7 (Индиго)

  Select Help > Install New Software... Click the link for Available Software Sites. Ensure there is an update site named Indigo. If this is not present, click Add... and enter http://download.eclipse.org/releases/indigo for the Location. Now go through the installation steps; Eclipse should download and install the plugin's dependencies. 

У меня также была эта проблема. Я решил это, выбрав:

Нажатие -> доступные сайты программного обеспечения
Выберите «Гелиос» и нажмите «Обновить».
Выберите «Плагин ADT» и нажмите «Обновить».
Потом вернулся, снова попытался, и это сработало.

Если вы все еще не можете заставить его работать, есть инструкции для этого вручную:
http://developer.android.com/sdk/eclipse-adt.html#installing

(Также: я использую 3,7 64x, он работает нормально, не имея проблем).

Я попытался установить и получил ту же ошибку (используя новый «рынок»). Я попробовал типичное Help-> установить новое программное обеспечение … тогда, где он говорит «Работа с:», я ввел:

http://dl-ssl.google.com/android/eclipse/

Следовали всем подсказкам, и все, кажется, сейчас работает нормально.

Выполнить затмение с корневым уровнем

$ Sudo / opt / eclipse / eclipse

Перейдите в Help-> Install Software. Добавьте следующую ссылку http://dl-ssl.google.com/android/eclipse/ .

Затем нажмите кнопку «Далее» и примите лицензию, она установит часть программного обеспечения, необходимое для вас, и вам будет полезно.

После перезапуска затмения вам предлагается загрузить требуемый файл android sdk или указать путь к файлу android sdk, если он уже загружен.

Это работает все время, что может быть версией.

Кстати, Eclipse + ADT (ADT Bundle) теперь предоставляется как единый пакет,

Developer.Android:ADT Bundle

Ни один из существующих ответов не работал для меня. Наличие всех правильных сайтов обновлений в «доступных сайтах» было недостаточно, чтобы сказать Eclipse, как найти его зависимости.

Используя Fedora 14 и Eclipse Indigo 3.7.1, я должен был выполнить следующие шаги, чтобы сделать установку:

  1. Проверьте и установите «Инструменты Linux» на странице http://download.eclipse.org/releases/indigo
  2. Проверьте и установите «Инструменты Linux» на странице http://download.eclipse.org/releases/indigo/201109230900.

После перезагрузки Eclipse я смог окончательно установить Android SDK.

Спасибо всем за сообщения, но, к сожалению, ни одна из вышеперечисленных проблем не решила мою проблему. В конце концов, для чего все это работало для меня, было загрузить eclipse indigo 3.7.2 и (это очень важно) ЭКСТРАКТАТЬ ПРЯМО СЕЙЧАС В ПАПКУ МОИХ ПРОГРАММ. Прежде чем я извлечу его на свой рабочий стол и скопирую в папку с программами (C: \ Program Files), но я бы получил сообщение об ошибке «Говорить, что исполняемая программа Eclipse не смогла найти свою совместную общую библиотеку» при попытке запустить eclipse.

После извлечения eclipse прямо в папку моих программ я запустил его и добавил плагин ADT так, как это рекомендовано на сайте Android, и пока все работает хорошо 🙂

Я нахожусь на машине с Windows 7 x64 и перед распаковкой eclipse установлен jre-7u2-windows-x64.exe, jdk-7u2-windows-x64.exe и installer_r16-windows.exe .

Надеюсь, это тоже поможет кому-то другому 🙂

Все еще довольно сбивает с толку. Кажется, что некоторая комбинация вышеуказанных предложений работала в Eclipse 3.7.2.

Во-первых, мне пришлось переместиться в сеть, которую dl-ssl.google.com не заблокировал (это постоянная проблема с сервером Google) (легко с ноутбуком, а тем более с моей башней).

Люди Eclipse должны рассмотреть эту проблему. Пользователь видит ошибку, что-то о недостающем пакете «org.eclipse.wst.sse.core», скажем, есть 50 или около того репозиториев плагинов, какой из них – тот, у которого есть этот пакет. Имя, содержащее «wst» или «sse».

Это очень плохо. Должен быть способ для пользователя связать сообщение об ошибке с решением репозитория.

В любом случае: после некоторой охоты и ярости я закончил выбор (и перезагрузку каждого репозитория, а также установил контакт со всеми сайтами обновления во время установки, чтобы найти требуемое программное обеспечение )

Один из них предоставил пакеты, необходимые для плагина Android. Лучшее предположение: Гелиос.

Лучший ответ (Sathya) также применим в Eclipse Juno.

Это, похоже, исправлено в Indigo Eclipse сейчас, есть видео, показывающее, что кто-то устанавливает андроидное затмение на youtube?

 Cannot complete the install because one or more required items could not be found. Software currently installed: Shared profile 1.0.0.1308118821836 (SharedProfile_epp.package.java 1.0.0.1308118821836) Missing requirement: Shared profile 1.0.0.1308118821836 (SharedProfile_epp.package.java 1.0.0.1308118821836) requires 'org.maven.ide.eclipse 

Запустить от имени администратора !!!

Eclipse Classic или Galileo – это два, которые вы можете использовать. Другая среда Eclipse IDE не предназначена для программирования или интерпретации JAVA таким же образом. Загрузка 64x или 32x будет работать на Classic или Galileo на ПК. Просто убедитесь, что компьютер может обрабатывать ту версию Eclipse, которую вы загружаете.